/* ===================================================================
 * PAGINATION DES LISTES
 * =================================================================*/
.blocNavigation {
    margin-bottom: 1.5rem;
    padding-bottom: 1rem;
    text-align: center;
}

.resultatNavigation {
    margin: 1rem 0;
}

.regletteNavigation {
    margin: 1rem 0;

    span {
        a,
        strong {
            background-color: @color3;
            border-radius: 30px;
            color: #ffffff;
            padding: 0.5rem 1rem;
            transition: all 0.2s ease 0s;
            margin: 0 0.3rem 0.3rem;
            display: inline-block;
        }

        a {
            background-color: #000;

            &:hover,
            &:focus,
            &:active {
                text-decoration: none;
                background-color: @color3;
            }
        }
    }
}

/* ===================================================================
 * LISTE
 * =================================================================*/

.listeBloc {
    .interne & {
        .wideContent;
    }

    display: flex;
    flex-wrap: wrap;
    padding: 30px 0;
    box-sizing: border-box;

    .item {
        flex: 0 0 31.5%;
        margin-left: 2.75%;
        margin-bottom: 5rem;
        box-shadow: 0 0 75px rgba(0, 0, 0, 0.2);
        background-color: #fff;
        position: relative;
        transition: all 0.3s;

        @media screen and (min-width: @tablet) {
            &:nth-child(3n+1) {
                margin-left: 0;
            }
        }
        @media screen and (max-width: @tablet) {
            flex: 0 0 48%;
            &:nth-child(2n+1) {
                margin-left: 0;
            }
        }
        @media screen and (max-width: @mobile) {
            flex: 1 0 100%;
            margin: 1.5rem auto;
            &:hover, &:focus {
                top: 0 !important;
            }
        }
    }
}

/* ===================================================================
 * INTEGRATION DES BLOCS ITEMS
 * =================================================================*/

[class^="liste"] {
    .item {
        position: relative;
        background: #fff;

        &:hover, &:focus, &.focus {
            .visuel {
                img {
                    transform: scale(1.05);
                }

                .logo {
                    left: 50%;
                    top: 50%;
                    transform: translate(-50%, -50%);
                    padding: 20px;
                    background: #fff;
                }
            }

            .itemInfo {
                h3 {
                    a {
                        color: @color3;
                    }
                }

                .date {
                    color: @color3;

                    &::before {
                        background: @color3;
                    }

                    span {
                        font-weight: 600;
                    }
                }
            }
        }

        .visuel {
            position: relative;

            & > div {
                overflow: hidden;
            }

            img {
                display: block;
                transition: all 0.3s;
            }

            .date {
                position: absolute;
                right: 20px;
                bottom: -21px;
                padding: 5px 10px;
                background: @noir;
                color: #fff;

                &::before {
                    content: none;
                }
            }

            .thematique {
                position: absolute;
                right: 20px;
                bottom: -21px;
                z-index: 1;
                background: @color;
                padding: 5px 10px;
                color: #fff;
                font-weight: bold;
                text-transform: uppercase;
            }

            .logo {
                position: absolute;
                left: 20px;
                top: 20px;
                .tr;

                img {
                    max-width: 150px;
                }
            }
        }

        .itemInfo {
            padding: 20px 20px 20px 55px;
            box-sizing: border-box;

            h3 {
                a {
                    font-size: 1.8rem;
                    text-decoration: none;
                    transition: all 0.3s;
                    .ext;

                    &:focus {
                        color: @color3;
                        text-decoration: underline;
                    }

                    &::after {
                        content: '';
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                    }
                }
            }

            .thematique {
                margin: 20px 0;
                position: relative;

                &::before {
                    content: '';
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    left: -25px;
                    width: 3px;
                    background: @color;
                }
            }
        }
    }
}

/* ===================================================================
 * FILTRE DE LA PARTIE ANNUAIRE
 * =================================================================*/

.filtreListe {
    padding: 0 2.5rem 2rem;
    margin: 0 0 3rem;

    .titre {
        font-size: 2.4rem;
        color: @color;

        &::before {
            content: none;
        }
    }

    ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 0 -15px;

        li {
            margin: 5px 15px;
            .tr;

            &::before {
                content: none;
            }

            &:hover,
            &:active,
            &:focus {
                border-radius: 3px;
                background: @primaryColor;
                border-color: @primaryColor;
                .tr;
                a {
                    color: #fff !important;
                }
            }

            a {
                display: block;
                border: 1px solid @color;
                border-radius: 3px;
                padding: 5px 15px;
                transition: all 0.3s;
                text-decoration: none;

                &:hover,
                &:focus {
                    background-color: @color2;
                    color: #fff;
                }
            }

            &.selected {
                background-color: @primaryColor;
                border-radius: 3px;

                a {
                    color: #fff !important;
                }
            }

        }
    }
}
